NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.CAE.SetManager Class Reference

Represents a group of CAE object sets. More...

Inheritance diagram for NXOpen.CAE.SetManager:
NXOpen.NXObject NXOpen.TaggedObject NXOpen.INXObject NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  DistributedPlanesBboxType { Model, Selection }
 Used to specify which bounding box defines the position or radius of the sphere More...
 
enum  DistributedPlanesBoundingSphereDirection { Vector, ThreePointsNormal }
 Used to specify the method to define the Z+ direction of the sphere More...
 
enum  DistributedPlanesBoundingSphereType { Half, Full }
 Used to specify the type of bounding sphere to lay the distributed planes on More...
 
enum  DistributedPlanesPosition { Bbox, Manual }
 Used to specify the method to define the position or the radius of the sphere More...
 
- Public Types inherited from NXOpen.NXObject
enum  AttributeType {
  Invalid, Null, Boolean, Integer,
  Real, String, Time, Reference,
  Any = 100
}
 Specifies attribute type. More...
 
enum  DateAndTimeFormat { Numeric, Textual }
 Specifies the format of the date and time attribute. More...
 

Public Member Functions

unsafe void CleanTargetSet (int setIndex)
 Clears the objects stored in the set specified in the set manager More...
 
unsafe NXOpen.CAE.CAESet CreateCaeSet ()
 Creates a CAE. More...
 
unsafe void GetTargetSetDistributedPlanes (int setIndex, out NXOpen.CAE.SetManager.DistributedPlanesPosition centerMethod, out NXOpen.Point centerPoint, out NXOpen.CAE.SetManager.DistributedPlanesPosition radiusMethod, out NXOpen.Expression radiusFactor, out NXOpen.Expression radiusValue, out NXOpen.CAE.SetManager.DistributedPlanesBboxType bboxOption, out NXOpen.CAE.FEElement[] bboxElems, out NXOpen.CAE.SetManager.DistributedPlanesBoundingSphereType spaceDefinition, out NXOpen.CAE.SetManager.DistributedPlanesBoundingSphereDirection sphereDirection, out NXOpen.Direction sphereDirectionVector, out NXOpen.Point sphereDirectionPoint1, out NXOpen.Point sphereDirectionPoint2, out NXOpen.Point sphereDirectionPoint3, out bool flipNormal, out int refinementLevel)
 Gets the parameters for a distributed planes set. More...
 
unsafe void GetTargetSetExcludedMembers (int setIndex, out NXOpen.CAE.SetObject[] objects)
 Gets the objects for the specified target set excluded set More...
 
unsafe NXOpen.CAE.CaeGroup GetTargetSetGroup (int setIndex)
 Gets the CAE group in the specified set More...
 
unsafe void GetTargetSetMembers (int setIndex, out NXOpen.NXObject displayCoordinateSystem, out NXOpen.CAE.SetObject[] objects)
 Gets the objects for the specified target set More...
 
unsafe void GetTargetSetPlane (int setIndex, out NXOpen.Point3d planePosition, out NXOpen.Vector3d planeNormal)
 Gets the parameters from a plane target set. More...
 
unsafe void GetTargetSetPlaneWithOffset (int setIndex, out NXOpen.Point3d planePosition, out NXOpen.Vector3d planeNormal, out NXOpen.Expression offsetValue)
 Gets the parameters from a plane target set. More...
 
unsafe NXOpen.Point3d GetTargetSetPointLocation (int setIndex)
 Gets the position from a point location target set. More...
 
unsafe void SetTargetSetDistributedPlanes (int setIndex, NXOpen.CAE.SetManager.DistributedPlanesPosition centerMethod, NXOpen.Point centerPoint, NXOpen.CAE.SetManager.DistributedPlanesPosition radiusMethod, NXOpen.Expression radiusFactor, NXOpen.Expression radiusValue, NXOpen.CAE.SetManager.DistributedPlanesBboxType bboxOption, NXOpen.CAE.FEElement[] bboxElems, NXOpen.CAE.SetManager.DistributedPlanesBoundingSphereType spaceDefinition, NXOpen.CAE.SetManager.DistributedPlanesBoundingSphereDirection sphereDirection, NXOpen.Direction sphereDirectionVector, NXOpen.Point sphereDirectionPoint1, NXOpen.Point sphereDirectionPoint2, NXOpen.Point sphereDirectionPoint3, bool flipNormal, int refinementLevel)
 Sets the parameters for a distributed planes set. More...
 
unsafe void SetTargetSetEdgePath (int setIndex, NXOpen.CAE.CAEEdge[] seedEdges, NXOpen.CAE.CAEVertex[] seedVertices)
 Sets the CAE edge path in the specified set More...
 
unsafe void SetTargetSetEdgePath (int setIndex, NXOpen.CAE.CAEEdge[] seedEdges, NXOpen.CAE.CAEVertex[] seedVertices, bool[] preferFreeEdges, bool[] allowGapJumping, double[] gapJumpingTolerance)
 Sets the CAE edge path in the specified set More...
 
unsafe void SetTargetSetEdgePath (int setIndex, NXOpen.CAE.CAEEdge[] seedEdges, NXOpen.CAE.CAEVertex[] seedVertices, bool[] preferFreeEdges, bool[] allowGapJumping, double[] gapJumpingTolerance, NXOpen.CAE.PathType[] pathMethodType, double[] dTangentAngleTolerance)
 Sets the CAE edge path in the specified set More...
 
unsafe void SetTargetSetElemEdgePath (int setIndex, NXOpen.CAE.FEElemEdge[] seedEdges, NXOpen.CAE.FENode[] seedVertices)
 Sets the CAE element edge path in the specified set More...
 
unsafe void SetTargetSetElemEdgePath (int setIndex, NXOpen.CAE.FEElemEdge[] seedEdges, NXOpen.CAE.FENode[] seedVertices, bool[] preferFreeEdges, bool[] preferGeometryAssociatedEdges, bool[] preferFeatureElementEdges, double[] featureAngleTolerance, bool[] allowGapJumping, double[] gapJumpingTolerance)
 Sets the CAE element edge path in the specified set More...
 
unsafe void SetTargetSetElemEdgePath (int setIndex, NXOpen.CAE.FEElemEdge[] seedEdges, NXOpen.CAE.FENode[] seedVertices, bool[] preferFreeEdges, bool[] preferGeometryAssociatedEdges, bool[] preferFeatureElementEdges, double[] featureAngleTolerance, bool[] allowGapJumping, double[] gapJumpingTolerance, NXOpen.CAE.PathType[] pathMethodType, double[] dTangentAngleTolerance)
 Sets the CAE element edge path in the specified set More...
 
unsafe void SetTargetSetExcludedMembers (int setIndex, NXOpen.CAE.SetObject[] excludedObjects)
 Sets the CAE objects in the specified target set exclude set More...
 
unsafe void SetTargetSetExcludedMembers (int setIndex, NXOpen.CAE.CaeSetGroupFilterType selRecipeFilter, NXOpen.CAE.SetObject[] objects)
 Sets the CAE objects in the specified target set exclude set More...
 
unsafe void SetTargetSetGroup (int setIndex, NXOpen.CAE.CaeSetGroupFilterType filterType, NXOpen.CAE.CaeGroup group)
 Sets the CAE group in the specified set More...
 
unsafe void SetTargetSetMembers (int setIndex, NXOpen.CAE.SetObject[] objects)
 Sets the CAE objects in the specified set More...
 
unsafe void SetTargetSetMembers (int setIndex, NXOpen.CAE.CaeSetGroupFilterType selRecipeFilter, NXOpen.CAE.SetObject[] objects)
 Sets the CAE objects in the specified set More...
 
unsafe void SetTargetSetPlane (int setIndex, NXOpen.Point3d planePosition, NXOpen.Vector3d planeNormal)
 Creates a plane target set. More...
 
unsafe void SetTargetSetPlaneWithOffset (int setIndex, NXOpen.Point3d planePosition, NXOpen.Vector3d planeNormal, NXOpen.Expression offsetValue)
 Creates a plane target set. More...
 
unsafe void SetTargetSetPointLocation (int setIndex, NXOpen.Point3d position)
 Creates a point location target set. More...
 
- Public Member Functions inherited from NXOpen.NXObject
unsafe NXOpen.AttributeIterator CreateAttributeIterator ()
 Create an attribute iterator More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type)
 Deletes all attributes of a specific type. More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title)
 Deletes an attribute by type and title. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
unsafe void DeleteUserAttribute (NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
unsafe void DeleteUserAttributes (NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator More...
 
unsafe void DeleteUserAttributes (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
unsafe NXOpen.INXObject FindObject (string journalIdentifier)
 Finds the NXOpen.NXObject with the given identifier as recorded in a journal. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetAttributeTitlesByType (NXOpen.NXObject.AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
unsafe bool GetBooleanUserAttribute (string title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.ComputationalTime 
GetComputationalTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe int GetIntegerAttribute (string title)
 Gets an integer attribute by title. More...
 
unsafe int GetIntegerUserAttribute (string title, int index)
 Gets an integer attribute by Title and array Index. More...
 
unsafe bool GetNextUserAttribute (NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
unsafe string GetPdmReferenceAttributeValue (string attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
unsafe double GetRealAttribute (string title)
 Gets a real attribute by title. More...
 
unsafe double GetRealUserAttribute (string title, int index)
 Gets a real attribute by Title and array Index. More...
 
unsafe string GetReferenceAttribute (string title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
unsafe string GetStringAttribute (string title)
 Gets a string attribute value by title. More...
 
unsafe string GetStringUserAttribute (string title, int index)
 Gets a string attribute by Title and array Index. More...
 
unsafe string GetTimeAttribute (NXOpen.NXObject.DateAndTimeFormat format, string title)
 Gets a time attribute by title. More...
 
unsafe string GetTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation 
GetUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttribute (string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
unsafe string GetUserAttributeAsString (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
unsafe bool GetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type)
 Determine the lock of the given attribute. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (NXOpen.AttributeIterator iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
unsafe string[] GetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe int GetUserAttributeSize (string title, NXOpen.NXObject.AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
unsafe NXOpen.NXObject[] GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
unsafe bool HasUserAttribute (NXOpen.AttributeIterator iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator More...
 
unsafe bool HasUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
unsafe void Print ()
 Prints a representation of this object to the system log file. More...
 
unsafe void SetAttribute (string title, int value)
 Creates or modifies an integer attribute. More...
 
unsafe void SetAttribute (string title, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, double value)
 Creates or modifies a real attribute. More...
 
unsafe void SetAttribute (string title, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, string value)
 Creates or modifies a string attribute. More...
 
unsafe void SetAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
unsafe void SetAttribute (string title, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetBooleanUserAttribute (string title, int index, bool value, NXOpen.Update.Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
unsafe void SetName (string name)
 Sets the custom name of the object. More...
 
unsafe void SetPdmReferenceAttribute (string attributeTitle, string attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
unsafe void SetReferenceAttribute (string title, string value)
 Creates or modifies a string attribute which uses a reference string. More...
 
unsafe void SetReferenceAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
unsafe void SetTimeAttribute (string title, string value)
 Creates or modifies a time attribute. More...
 
unsafe void SetTimeAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type, bool @lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe int TargetSetCount [get]
 Returns the count of objects in the set More...
 
- Properties inherited from NXOpen.NXObject
unsafe bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
unsafe string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
unsafe string Name [get]
 Returns the custom name of the object. More...
 
unsafe NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
unsafe NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
unsafe NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 
- Properties inherited from NXOpen.INXObject
bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
string Name [get]
 Returns the custom name of the object. More...
 
NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a group of CAE object sets.

The objects in each set can be used to create loads, constraints ..etc

This is a sub object

Created in NX4.0.0

Member Enumeration Documentation

Used to specify which bounding box defines the position or radius of the sphere

Enumerator
Model 

the whole FE model is used to calculate the bounding box

Selection 

a selection of elements is used to define the bounding box

Used to specify the method to define the Z+ direction of the sphere

Enumerator
Vector 

defines Z+ with a vector

ThreePointsNormal 

defines Z+ from 3 points that form a plane and a normal

Used to specify the type of bounding sphere to lay the distributed planes on

Enumerator
Half 

places the distributed planes on half a sphere

Full 

places the distributed planes on a full sphere

Used to specify the method to define the position or the radius of the sphere

Enumerator
Bbox 

the position or radius is based on the bounding box

Manual 

the position or radius is manually defined

Member Function Documentation

unsafe void NXOpen.CAE.SetManager.CleanTargetSet ( int  setIndex)
inline

Clears the objects stored in the set specified in the set manager

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set in the set manager
unsafe NXOpen.CAE.CAESet NXOpen.CAE.SetManager.CreateCaeSet ( )
inline

Creates a CAE.

CAESet

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
the cae set created
unsafe void NXOpen.CAE.SetManager.GetTargetSetDistributedPlanes ( int  setIndex,
out NXOpen.CAE.SetManager.DistributedPlanesPosition  centerMethod,
out NXOpen.Point  centerPoint,
out NXOpen.CAE.SetManager.DistributedPlanesPosition  radiusMethod,
out NXOpen.Expression  radiusFactor,
out NXOpen.Expression  radiusValue,
out NXOpen.CAE.SetManager.DistributedPlanesBboxType  bboxOption,
out NXOpen.CAE.FEElement[]  bboxElems,
out NXOpen.CAE.SetManager.DistributedPlanesBoundingSphereType  spaceDefinition,
out NXOpen.CAE.SetManager.DistributedPlanesBoundingSphereDirection  sphereDirection,
out NXOpen.Direction  sphereDirectionVector,
out NXOpen.Point  sphereDirectionPoint1,
out NXOpen.Point  sphereDirectionPoint2,
out NXOpen.Point  sphereDirectionPoint3,
out bool  flipNormal,
out int  refinementLevel 
)
inline

Gets the parameters for a distributed planes set.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexIndex of the set
centerMethodMethod used to define the sphere center
centerPointSphere manual center position.
radiusMethodMethod used to define the sphere radius
radiusFactorMultiplying factor applied to the model bounding box diagonal to get the sphere radius.
radiusValueRadius mahual value.
bboxOptionBounding box definition option
bboxElemsSelection used to calculate the bounding box for the manual bounding box option
spaceDefinitionType of bounding sphere (half or full)
sphereDirectionSphere direction definition method
sphereDirectionVectorFor the sphere vector method: sphere direction vector
sphereDirectionPoint1For the sphere 3 points normal method: 1st point
sphereDirectionPoint2For the sphere 3 points normal method: 2nd point
sphereDirectionPoint3For the sphere 3 points normal method: 3rd point
flipNormalFor the sphere 3 points normal method: flag to flip the normal direction
refinementLevelRefinement level of the distributed plave wave set.
unsafe void NXOpen.CAE.SetManager.GetTargetSetExcludedMembers ( int  setIndex,
out NXOpen.CAE.SetObject[]  objects 
)
inline

Gets the objects for the specified target set excluded set

Created in NX5.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
objectsobjects in set
unsafe NXOpen.CAE.CaeGroup NXOpen.CAE.SetManager.GetTargetSetGroup ( int  setIndex)
inline

Gets the CAE group in the specified set

Created in NX8.0.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
Returns
group object from set. may be a null reference (Nothing in Visual Basic)
unsafe void NXOpen.CAE.SetManager.GetTargetSetMembers ( int  setIndex,
out NXOpen.NXObject  displayCoordinateSystem,
out NXOpen.CAE.SetObject[]  objects 
)
inline

Gets the objects for the specified target set

Created in NX4.0.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
displayCoordinateSystemdisplay coordinate system
objectsobjects in set
unsafe void NXOpen.CAE.SetManager.GetTargetSetPlane ( int  setIndex,
out NXOpen.Point3d  planePosition,
out NXOpen.Vector3d  planeNormal 
)
inline

Gets the parameters from a plane target set.

The plane target set is a special type of target set that does not rely on any FEM entities. It is a purely geometric plane defined in space that may or may not touch any elements or nodes. It cannot rely on the standard CAE.SetManager.CreateCaeSet and CAE.CAESet.SetMembers since and requires its own interface to retrieve the parameters.

Created in NX11.0.0

Deprecated in NX12.0.0. Use overloaded CAE.SetManager.GetTargetSetPlaneWithOffset .

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
planePositionplane's position
planeNormalplane's normal
unsafe void NXOpen.CAE.SetManager.GetTargetSetPlaneWithOffset ( int  setIndex,
out NXOpen.Point3d  planePosition,
out NXOpen.Vector3d  planeNormal,
out NXOpen.Expression  offsetValue 
)
inline

Gets the parameters from a plane target set.

The plane target set is a special type of target set that does not rely on any FEM entities. It is a purely geometric plane defined in space that may or may not touch any elements or nodes. It cannot rely on the standard CAE.SetManager.CreateCaeSet and CAE.CAESet.SetMembers since and requires its own interface to retrieve the parameters.

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
planePositionplane's position
planeNormalplane's normal
offsetValueoffset value that was used to construct the plane.
unsafe NXOpen.Point3d NXOpen.CAE.SetManager.GetTargetSetPointLocation ( int  setIndex)
inline

Gets the position from a point location target set.

The point location target set is a special type of target set that does not rely on any FEM entities. It is a purely geometric point located in space that may or may not touch any elements or nodes. It cannot rely on the standard CAE.SetManager.CreateCaeSet and CAE.CAESet.SetMembers since and requires its own interface to retrieve the position.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
Returns
point location's position
unsafe void NXOpen.CAE.SetManager.SetTargetSetDistributedPlanes ( int  setIndex,
NXOpen.CAE.SetManager.DistributedPlanesPosition  centerMethod,
NXOpen.Point  centerPoint,
NXOpen.CAE.SetManager.DistributedPlanesPosition  radiusMethod,
NXOpen.Expression  radiusFactor,
NXOpen.Expression  radiusValue,
NXOpen.CAE.SetManager.DistributedPlanesBboxType  bboxOption,
NXOpen.CAE.FEElement[]  bboxElems,
NXOpen.CAE.SetManager.DistributedPlanesBoundingSphereType  spaceDefinition,
NXOpen.CAE.SetManager.DistributedPlanesBoundingSphereDirection  sphereDirection,
NXOpen.Direction  sphereDirectionVector,
NXOpen.Point  sphereDirectionPoint1,
NXOpen.Point  sphereDirectionPoint2,
NXOpen.Point  sphereDirectionPoint3,
bool  flipNormal,
int  refinementLevel 
)
inline

Sets the parameters for a distributed planes set.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexIndex of the set
centerMethodMethod used to define the sphere center
centerPointSphere manual center position.
radiusMethodMethod used to define the sphere radius
radiusFactorMultiplying factor applied to the model bounding box diagonal to get the sphere radius.
radiusValueRadius manual value.
bboxOptionBounding box definition option
bboxElemsSelection used to calculate the bounding box for the manual bounding box option
spaceDefinitionType of bounding sphere (half or full)
sphereDirectionSphere direction definition method
sphereDirectionVectorFor the sphere vector method: sphere direction vector
sphereDirectionPoint1For the sphere 3 points normal method: 1st point
sphereDirectionPoint2For the sphere 3 points normal method: 2nd point
sphereDirectionPoint3For the sphere 3 points normal method: 3rd point
flipNormalFor the sphere 3 points normal method: flag to flip the normal direction
refinementLevelRefinement level of the distributed plave wave set.
unsafe void NXOpen.CAE.SetManager.SetTargetSetEdgePath ( int  setIndex,
NXOpen.CAE.CAEEdge[]  seedEdges,
NXOpen.CAE.CAEVertex[]  seedVertices 
)
inline

Sets the CAE edge path in the specified set

Created in NX9.0.0

Deprecated in NX10.0.0. Use overloaded CAE.SetManager.SetTargetSetEdgePath with additional arguments instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
seedEdgesseed edges to define the path
seedVerticesseed vertices to define the path
unsafe void NXOpen.CAE.SetManager.SetTargetSetEdgePath ( int  setIndex,
NXOpen.CAE.CAEEdge[]  seedEdges,
NXOpen.CAE.CAEVertex[]  seedVertices,
bool[]  preferFreeEdges,
bool[]  allowGapJumping,
double[]  gapJumpingTolerance 
)
inline

Sets the CAE edge path in the specified set

Created in NX10.0.0

Deprecated in NX1847.0.0. Use overloaded CAE.SetManager.SetTargetSetEdgePath with additional arguments instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
seedEdgesseed edges to define the path
seedVerticesseed vertices to define the path
preferFreeEdgesif true for seed, prefer free edges
allowGapJumpingif true for seed, gaps between edges will be jumped
gapJumpingToleranceif allowGapJumping is true for seed, this is the tolerance to use for jumping gaps between edges
unsafe void NXOpen.CAE.SetManager.SetTargetSetEdgePath ( int  setIndex,
NXOpen.CAE.CAEEdge[]  seedEdges,
NXOpen.CAE.CAEVertex[]  seedVertices,
bool[]  preferFreeEdges,
bool[]  allowGapJumping,
double[]  gapJumpingTolerance,
NXOpen.CAE.PathType[]  pathMethodType,
double[]  dTangentAngleTolerance 
)
inline

Sets the CAE edge path in the specified set

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
seedEdgesseed edges to define the path
seedVerticesseed vertices to define the path
preferFreeEdgesif true for seed, prefer free edges
allowGapJumpingif true for seed, gaps between edges will be jumped
gapJumpingToleranceif allowGapJumping is true for seed, this is the tolerance to use for jumping gaps between edges
pathMethodTypepath method type
dTangentAngleTolerancetangent angle tolerance for most tangent path method type
unsafe void NXOpen.CAE.SetManager.SetTargetSetElemEdgePath ( int  setIndex,
NXOpen.CAE.FEElemEdge[]  seedEdges,
NXOpen.CAE.FENode[]  seedVertices 
)
inline

Sets the CAE element edge path in the specified set

Created in NX9.0.0

Deprecated in NX10.0.0. Use overloaded CAE.SetManager.SetTargetSetElemEdgePath with additional arguments instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
seedEdgesseed element edges to define the path
seedVerticesseed nodes to define the path
unsafe void NXOpen.CAE.SetManager.SetTargetSetElemEdgePath ( int  setIndex,
NXOpen.CAE.FEElemEdge[]  seedEdges,
NXOpen.CAE.FENode[]  seedVertices,
bool[]  preferFreeEdges,
bool[]  preferGeometryAssociatedEdges,
bool[]  preferFeatureElementEdges,
double[]  featureAngleTolerance,
bool[]  allowGapJumping,
double[]  gapJumpingTolerance 
)
inline

Sets the CAE element edge path in the specified set

Created in NX10.0.0

Deprecated in NX1847.0.0. Use overloaded CAE.SetManager.SetTargetSetElemEdgePath with additional arguments instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
seedEdgesseed element edges to define the path
seedVerticesseed nodes to define the path
preferFreeEdgesif true for seed, prefer free element edges
preferGeometryAssociatedEdgesif true for seed, prefer geometry associated element edges
preferFeatureElementEdgesif true for seed, prefer feature element edges
featureAngleToleranceif preferFeatureElementEdge is true for seed, this is the feature angle tolerance to use
allowGapJumpingif true for seed, gaps between element edges will be jumped
gapJumpingToleranceif allowGapJumping is true for seed, this is the tolerance to use for jumping gaps between element edges
unsafe void NXOpen.CAE.SetManager.SetTargetSetElemEdgePath ( int  setIndex,
NXOpen.CAE.FEElemEdge[]  seedEdges,
NXOpen.CAE.FENode[]  seedVertices,
bool[]  preferFreeEdges,
bool[]  preferGeometryAssociatedEdges,
bool[]  preferFeatureElementEdges,
double[]  featureAngleTolerance,
bool[]  allowGapJumping,
double[]  gapJumpingTolerance,
NXOpen.CAE.PathType[]  pathMethodType,
double[]  dTangentAngleTolerance 
)
inline

Sets the CAE element edge path in the specified set

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
seedEdgesseed element edges to define the path
seedVerticesseed nodes to define the path
preferFreeEdgesif true for seed, prefer free element edges
preferGeometryAssociatedEdgesif true for seed, prefer geometry associated element edges
preferFeatureElementEdgesif true for seed, prefer feature element edges
featureAngleToleranceif preferFeatureElementEdge is true for seed, this is the feature angle tolerance to use
allowGapJumpingif true for seed, gaps between element edges will be jumped
gapJumpingToleranceif allowGapJumping is true for seed, this is the tolerance to use for jumping gaps between element edges
pathMethodTypepath method type
dTangentAngleTolerancetangent angle tolerance for most tangent path method type
unsafe void NXOpen.CAE.SetManager.SetTargetSetExcludedMembers ( int  setIndex,
NXOpen.CAE.SetObject[]  excludedObjects 
)
inline

Sets the CAE objects in the specified target set exclude set

Created in NX5.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
excludedObjectsexcluded objects to add to set
unsafe void NXOpen.CAE.SetManager.SetTargetSetExcludedMembers ( int  setIndex,
NXOpen.CAE.CaeSetGroupFilterType  selRecipeFilter,
NXOpen.CAE.SetObject[]  objects 
)
inline

Sets the CAE objects in the specified target set exclude set

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
selRecipeFilterfilter to extract type of objects from the selection recipe
objectsexcluded objects to add to set
unsafe void NXOpen.CAE.SetManager.SetTargetSetGroup ( int  setIndex,
NXOpen.CAE.CaeSetGroupFilterType  filterType,
NXOpen.CAE.CaeGroup  group 
)
inline

Sets the CAE group in the specified set

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
filterTypefilter to extract type of objects from the group
groupgroup to add to set
unsafe void NXOpen.CAE.SetManager.SetTargetSetMembers ( int  setIndex,
NXOpen.CAE.SetObject[]  objects 
)
inline

Sets the CAE objects in the specified set

Created in NX4.0.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
objectsobjects to add to set
unsafe void NXOpen.CAE.SetManager.SetTargetSetMembers ( int  setIndex,
NXOpen.CAE.CaeSetGroupFilterType  selRecipeFilter,
NXOpen.CAE.SetObject[]  objects 
)
inline

Sets the CAE objects in the specified set

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
selRecipeFilterfilter to extract type of objects from the selection recipe
objectsobjects to add to set
unsafe void NXOpen.CAE.SetManager.SetTargetSetPlane ( int  setIndex,
NXOpen.Point3d  planePosition,
NXOpen.Vector3d  planeNormal 
)
inline

Creates a plane target set.

The plane target set is a special type of target set that does not rely on any FEM entities. It is a purely geometric plane defined in space that may or may not touch elements or nodes. It cannot rely on the standard CAE.SetManager.CreateCaeSet and CAE.CAESet.SetMembers since and requires its own interface to create the plane.

Created in NX11.0.0

Deprecated in NX12.0.0. Use overloaded CAE.SetManager.SetTargetSetPlaneWithOffset .

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
planePositionplane's position
planeNormalplane's normal.
unsafe void NXOpen.CAE.SetManager.SetTargetSetPlaneWithOffset ( int  setIndex,
NXOpen.Point3d  planePosition,
NXOpen.Vector3d  planeNormal,
NXOpen.Expression  offsetValue 
)
inline

Creates a plane target set.

The plane target set is a special type of target set that does not rely on any FEM entities. It is a purely geometric plane defined in space that may or may not touch elements or nodes. It cannot rely on the standard CAE.SetManager.CreateCaeSet and CAE.CAESet.SetMembers since and requires its own interface to create the plane.

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set.
planePositionplane's position.
planeNormalplane's normal.
offsetValueoffset value that was used to construct the plane.
unsafe void NXOpen.CAE.SetManager.SetTargetSetPointLocation ( int  setIndex,
NXOpen.Point3d  position 
)
inline

Creates a point location target set.

The point location target set is a special type of target set that does not rely on any FEM entities. It is a purely geometric point located in space that may or may not touch any elements or nodes. It cannot rely on the standard CAE.SetManager.CreateCaeSet and CAE.CAESet.SetMembers since and requires its own interface to create the point location.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setIndexindex of the set
positionpoint location's position

Property Documentation

unsafe int NXOpen.CAE.SetManager.TargetSetCount
get

Returns the count of objects in the set

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.